APTITUDE-RUN-STATE(1)

NOMBRE
aptitude-run-state-bundle - desempaqueta un fichero de estado de aptitude e invoca aptitude sobre éste

SINOPSIS

aptitude-run-state-bundle [<opciones>...] <fichero_de_entrada> [<programa> [<argumentos>...]]

DESCRIPCIÓN

    Nota

    This command is mostly for internal use and bug reporting in exceptional cases, it is not intended for end-users under normal circumstances.

aptitude-run-state-bundle desempaqueta el archivo de estado de aptitude creado por aptitude-create-state-bundle(1) en un directorio temporal, invoca <programa> sobre él con los <argumentos> proporcionados, y elimina el directorio temporal a continuación. Si no se introduce <programa>, su valor por omisión es aptitude(8).

OPCIONES

Las siguientes opciones pueden preceder al fichero de entrada en la línea de órdenes. Las opciones a continuación del fichero de entrada se toman como argumentos para aptitude.

--append-args
    Introduce al final de la línea de órdenes las opciones que dan la ubicación del archivo de estado al invocar <programa>, en lugar de al principio de éste (comportamiento predeterminado).

--help
    Muestra un breve resumen del uso.

--prepend-args
    Introduce al inicio de la línea de órdenes las opciones que dan la ubicación del paquete de estado al invocar <programa>, invalidando cualquier otro --append-args (el valor predeterminado es ubicar las opciones al inicio).

--no-clean
    Evita eliminar el directorio de estado desempaquetado después de ejecutar aptitude. Debería usar esto si, por ejemplo, está depurando un fallo que aparece al modificar el fichero de estado de aptitude. El nombre del directorio de estado se mostrará al final de la ejecución de aptitude, para así permitirle un acceso futuro.

    Esta opción se activa automáticamente por --statedir.

--really-clean
    Elimina el directorio de estado tras ejecutar aptitude, incluso si introduce --no-clean o --statedir.

--statedir
    En lugar de tratar el fichero de entrada como un archivo de estado, lo trata como un archivo de estado desempaquetado. Por ejemplo, puede usar esto para acceder al directorio de estado que se creó al ejecutar --no-clean con anterioridad.

--unpack
    Desempaqueta el fichero de entrada en un directorio temporal, pero no ejecutar la orden aptitude.

VÉASE TAMBIÉN

aptitude-create-state-bundle(1), aptitude(8), apt(8)

AUTORES

Daniel Burrows <dburrows@debian.org>
    Main author of the document.

Manuel A. Fernandez Montecelo <mafm@debian.org>
    Main maintainer after Daniel Burrows, documentation about new features, corrections and formatting.

COPYRIGHT

Copyright 2007 Daniel Burrows.

This manual page is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This manual page is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.